# aoe

## `aoe`

**触发效果**[**​**](https://plugins.auxilor.io/effects/all-effects/aoe#triggered-effect)

将效果作用于一定范围内的所有实体。

### 范围样式[​](https://plugins.auxilor.io/effects/all-effects/aoe#list-of-shapes) <a href="#list-of-shapes" id="list-of-shapes"></a>

| ID              | 描述                        | 参数                                                                                                                                          |
| --------------- | ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| `cone`          | （触发器属性中的）坐标前面的圆锥形（类似横扫之刃） | <p><code>radius</code> 半径<br><code>angle</code> 角度</p>                                                                                      |
| `circle`        | 以（触发器属性中的）坐标为中心的圆         | `radius` 半径                                                                                                                                 |
| `offset_circle` | （触发器属性中的）坐标面前格数为中心的圆形     | <p><code>radius</code> 半径<br><code>offset</code> 玩家面前的距离</p>                                                                                |
| `scan_in_front` | 扫描你所朝方向的所有实体，直到发现第一个      | <p><code>radius</code> 距离<br><code>max\_distance</code> 最大距离</p>                                                                            |
| `beam`          | 你所朝方向的直线                  | <p><code>radius</code> 直线宽度<br><code>distance</code> 直线长度<br><code>pierce\_blocks</code> 是否穿越方块<br><code>pierce\_entities</code> 是否穿越实体</p> |

## 示例配置

```yaml
- id: aoe
  args:
    effects: # 每个实体被执行的效果
      - id: damage_victim
        args:
          damage: 2
          true-damage: true
    shape: cone # AOE模式ID
    radius: 3 # AOE模式参数（见上）
    angle: 120 # AOE模式参数（见上）
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/suo-you-xiao-guo/aoe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
